Ticket #46091

AI: Turn magic military emergency want values to macros

Open Date: 2022-11-22 15:29 Last Update: 2022-11-27 12:24

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Started as enabler for #45277, but is actually fixing (at least) one bug.

Turn emergency want values (100 / 101) to macros. The one bug noticed in existing code is that dai_unit_consider_bodyguard() compares to 100 instead of 101 (latter is the actual emergency, former is the value assigned as maximum want outside emergency)

Ticket History (3/5 Histories)

2022-11-22 15:29 Updated by: cazfi
  • New Ticket "AI: Turn magic military emergency want values to macros" created
2022-11-23 10:44 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
2022-11-27 12:24 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login